#ifndef PAD_H
#define PAD_H

#include <QWidget>
#include <QMainWindow>

class QTextEdit;
class QPushButton;

class Pad : public QMainWindow
{
    Q_OBJECT

public:
    Pad(QMainWindow *parent = 0);
    void createMain(QString param = "");
    void load(QString param = "");
    void msg(QString text);

public slots:
    void saveTo();
    void saveAs();
    void openFile();

private:
    QTextEdit *editArea;
    QString fileName;

    QMenu *fileMenu;
    QAction *newAct;
    QAction *saveAct;
    QAction *saveAsAct;
};

#endif // PAD_H
